<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.

// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {




  // Theme Options
  require get_template_directory() . '/inc/metabox-and-options/theme-options.php';
  // Page Options
  require get_template_directory() . '/inc/metabox-and-options/page-metabox.php';
  // Blog Options
  require get_template_directory() . '/inc/metabox-and-options/blog-metabox.php';
  // Shop Options
  require get_template_directory() . '/inc/metabox-and-options/shop-metabox.php';

}

// CS Framework
if ( ! function_exists( 'glowify_wp_option' ) ) {
	function glowify_wp_option( $option = '', $default = null ) {
	  $options = get_option( 'glowify_wp_options' ); // Attention: Set your unique id of the framework
	  return ( isset( $options[$option] ) ) ? $options[$option] : $default;
	}
}

if(! class_exists( 'CSF' ) ){
	function glowify_wp_default_google_font() {
	   wp_enqueue_style( 'glowify-default-style', get_template_directory_uri() . '/assets/css/glowify-default.css', array(), '1.0' );
	}
	add_action( 'wp_enqueue_scripts', 'glowify_wp_default_google_font' );
}


/* CS Framework Setup */
if(function_exists('csf_init') || class_exists( 'CSF' ) ){
  require get_template_directory() . '/inc/custom-style.php';
}